Subject: testing (Was: Re: linux-next: scsi-post-merge tree build failure)

From: Stephen Rothwell <[email-masked]>
Date: Tue, 23 Dec 2008 10:04:56 +1100

Hi Ben,

On Tue, 23 Dec 2008 07:56:32 +1100 Benjamin Herrenschmidt <[email-masked]> wrote:
>
> On Tue, 2008-12-23 at 01:25 +1100, Stephen Rothwell wrote:
> > Hi Paul, Ben,
> > 
> > Today's linux-next build (powerpc ppc44x_config) failed like this:
> > 
> > arch/powerpc/kvm/powerpc.c: In function 'kvm_arch_vcpu_put':
> > arch/powerpc/kvm/powerpc.c:333: error: implicit declaration of function '_tlbil_all'
> > 
> > Probably caused by commit 2a4aca1144394653269720ffbb5a325a77abd5fa
> > ("powerpc/mm: Split low level tlb invalidate for nohash processors").
> > Reverting just that commit was too difficult, so I have reverted the
> > powerpc tree for today.
> 
> You can't revert that without reverting my whole series.

I know that ... I tried.

> Adding a #include ../mm/mmu_decl.h to the kvm code should fix it for
> now.
> 
> I need to talk to hollis about the right way to do that stuff in
> the long run but it might be it... those _tlbil things are low level
> stuff that aren't supposed to be used by the outside world which is
> why I moved the declarations there, but KVM is also low level :-)

So, why is this series in powerpc/next at all if some of the modified
files haven't even been compiled?  A simple ppc44x_defconfig build of the
powerpc/next tree fails - which I would have thought would be part of the
testing since KVM is only implemented for 44x on powerpc.

(Sorry, I am annoyed - it was late when I finally found this build
failure on top of everything else.)

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/